6

I'm trying to use YouCompleteMe on neoVIm but for this I need some packages:

  1. build-essential
  2. cmake
  3. python3-dev

as I know, build-essential comes on Arch Linux base (so check at list) I can install cmake (also check) but which way to install python3-dev or libraries inside this package ?

3

1 Answer 1

3

These are the packages I installed for YouCompleteMe:

sudo pacman -S cmake gcc python3

There is no python3-dev in arch linux because python3 in arch linux already contains all the dev headers files.

2
  • This answers the question "What are the packages you installed for YouCompleteMe". It doesn't answer the question "How to install python3-dev?"
    – johny why
    Commented Apr 20, 2023 at 14:14
  • @johnywhy arch linux ships dev header files with standard python package. There is no python-dev in arch linux for that reason. Commented Apr 23, 2023 at 23:47

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .